Package musicbrainz2 :: Module wsxml :: Class ArtistResult

[frames] | no frames]

# Class ArtistResult

source code

        object --+
                 |
    AbstractResult --+
                     |
                    ArtistResult

Represents an artist result.

An ArtistResult consists of a score and an artist. The score is a number between 0 and 100, where a higher number indicates a better match.

Instance Methods

__init__(self, artist, score) x.__init__(...) initializes x; see help(type(x)) for signature | source code

getArtist(self) Returns an Artist object. | source code

setArtist(self, artist) | source code

Inherited from `AbstractResult`: `getScore`, `setScore` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| artist An Artist object.
Inherited from `AbstractResult`: `score` Inherited from `object`: `__class__`

Method Details

### __init__(self, artist, score)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### getArtist(self)

source code

Returns an Artist object.

Returns:
  a musicbrainz2.model.Artist object

Property Details

### artist

An Artist object.

Get Method:
  getArtist(self) - Returns an Artist object.
Set Method:
  setArtist(self, artist)